package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.report.service.IKuaishouZombieCreativeService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 更新僵尸计划数据
 *
 * @author jeecg-boot
 */
@Component
public class KuaishouDailyZombieJob {
    @Autowired
    private IKuaishouZombieCreativeService kuaishouZombieCreativeService;

    @XxlJob("kuaishouDailyZombie")
    public void execute() throws Exception {
        XxlJobHelper.log("更新僵尸计划数据 start");
        kuaishouZombieCreativeService.checkZombieProject();
        XxlJobHelper.log("更新僵尸计划数据 end");
    }

}
